# Envia.com Module

This module will help you to have your shop integrated in prestashop with our platform so that you can make, organize and manage your shipments in a more optimal and efficient way.

## Getting Started

These instructions will guide you step by step to connect your Presstashop commerce with your Envia.com account. With this way you will manage more easily and quickly all your shipments, deliveries and canceled shipments, all this in one place.

### Prerequisites

1. Have an envia.com account
2. Create and enable your Web Service Key in Prestashop

### Installing

Before starting you need to remember that you must have an **Envia.com** account to manage your shipments and deliveries more easily. If you already have an Envia.com Account skip to the **second step**.

#### 1. Create your Envia.com Account

To create an Envia.com account you must to follow theses steps.
1. Go to **[envia.com/envios](https://www.envia.com/envios)**.
2. Click on **Sign up**.
3. Fill each of the fields with your information.
4. Go to your inbox and click on the activation link. (If your don´t find the email on your inbox check your Spam Folder.)

#### 2. Enable Web Service

1. Log in to your Prestashop Store.
2. Go to Webservice Parameters (**Advanced Parameters -> Webservice**).
3. Click on "Add new webservice key" button
4. Click on "Generate" Button
5. Select all Permissions
6. Click on Save

The webservice configuration is pretty easy:
1. Enable PrestaShop's webservice.
2. Enable CGI mode for PHP.

#### 3. Link your account Envia.com with your Prestashop store.
To link your Envia.com account with your Prestashop store you must copy the **Prestashop Web Service Key** which will be requested when setting up your Prestashop store in your Envia.com administrator.
1. Log in to your Envia.com Account.
2. Go to **View Configurations**
3. Click on **Store Integrations**
4. In Prestashop section click in **New Store**
5. Fill each of the fields with your store data.
	1. **Integration Name:** This is your Prestashop Store Name.
	2. **Store URL:** This is your Prestashop Store URL 
	3. **Consumer Key:** This is your **Prestashop Webservice Key**
6. Click in **Save Changes**

## Built With

* [Tendencys](http://www.tendencys.com/) - Create your E-commerce
* [Envia](http://www.envia.com/) - We automate your shipments

## Authors

* **Raymundo Salazar** - *Final worker* - [Tendencys](https://tendencys.com)
* **Angel Rodriguez** - *Initial worker* - [Tendencys](https://tendencys.com)

See also the list of [contributors](https://github.com/your/project/contributors) who participated in this project.

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details